# Method: projects.locations.kmsConfigs.verify

- [HTTP request](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.kmsConfigs/verify#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.kmsConfigs/verify#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.kmsConfigs/verify#body.request_body)
- [Response body](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.kmsConfigs/verify#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.kmsConfigs/verify#body.VerifyKmsConfigResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.kmsConfigs/verify#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.kmsConfigs/verify#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1/projects.locations.kmsConfigs/verify#try-it)

Verifies KMS config reachability.

### HTTP request

`POST https://netapp.googleapis.com/v1/{name=projects/*/locations/*/kmsConfigs/*}:verify`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the KMS Config to be verified. |

### Request body

The request body must be empty.

### Response body

VerifyKmsConfigResponse contains the information if the config is correctly and error message.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "healthy": boolean, "healthError": string, "instructions": string } ``` |

| Fields ||
|---|---|
| `healthy` | `boolean` Output only. If the customer key configured correctly to the encrypt volume. |
| `healthError` | `string` Output only. Error message if config is not healthy. |
| `instructions` | `string` Output only. Instructions for the customers to provide the access to the encryption key. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `netapp.kmsConfigs.verify`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).